Get Blog Post RSS Feed
curl --request GET \
--url https://api.example.com/blog/{public_slug}/feedimport requests
url = "https://api.example.com/blog/{public_slug}/feed"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/blog/{public_slug}/feed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/blog/{public_slug}/feed",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/blog/{public_slug}/feed"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/blog/{public_slug}/feed")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/blog/{public_slug}/feed")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyBlog
Get Blog Post RSS Feed
Get a published blog post as an RSS 2.0 feed item
GET
/
blog
/
{public_slug}
/
feed
Get Blog Post RSS Feed
curl --request GET \
--url https://api.example.com/blog/{public_slug}/feedimport requests
url = "https://api.example.com/blog/{public_slug}/feed"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/blog/{public_slug}/feed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/blog/{public_slug}/feed",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/blog/{public_slug}/feed"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/blog/{public_slug}/feed")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/blog/{public_slug}/feed")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyReturns a single published blog post formatted as an RSS 2.0 XML feed. This endpoint does not require authentication.
Path Parameters
Request
curl -X GET "https://api.shipstar.ai/api/v1/blog/weekly-update-march-31-2025/feed"
const slug = 'weekly-update-march-31-2025';
const response = await fetch(`https://api.shipstar.ai/api/v1/blog/${slug}/feed`);
const rss = await response.text();
import requests
slug = 'weekly-update-march-31-2025'
response = requests.get(f'https://api.shipstar.ai/api/v1/blog/{slug}/feed')
rss = response.text
Response
Returns an RSS 2.0 XML document withContent-Type: application/xml.
Errors
| Status | Description |
|---|---|
| 404 | Blog post not found or not published |
| 422 | Invalid slug format |
Was this page helpful?